org.jboss.netty.handler.ipfilter

## Class CIDR6

- java.lang.Object
- - org.jboss.netty.handler.ipfilter.CIDR
  - - org.jboss.netty.handler.ipfilter.CIDR6

- All Implemented Interfaces:
    Comparable<CIDR>

      public class CIDR6
      extends CIDR

- - ### Field Summary

    - ### Fields inherited from class org.jboss.netty.handler.ipfilter.CIDR

      `baseAddress, cidrMask`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CIDR6(Inet6Address newaddress, int newmask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CIDR arg)`
    `boolean` | `contains(InetAddress inetAddress)` Compares the given InetAddress against the CIDR and returns true if the ip is in the subnet-ip-range and false if not.
    `InetAddress` | `getEndAddress()`

    - ### Methods inherited from class org.jboss.netty.handler.ipfilter.CIDR

      `equals, getBaseAddress, getIpV4FromIpV6, getIpV6FromIpV4, getMask, hashCode, newCIDR, newCIDR, newCIDR, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CIDR6

          protected CIDR6(Inet6Address newaddress,
               int newmask)

      Parameters:
        `newaddress` -
        `newmask` -

  - ### Method Detail

    - #### getEndAddress

          public InetAddress getEndAddress()

      Specified by:
        `getEndAddress` in class `CIDR`
      Returns:
        the end address of this block.

    - #### compareTo

          public int compareTo(CIDR arg)

    - #### contains

          public boolean contains(InetAddress inetAddress)

      Description copied from class: `CIDR`
      Compares the given InetAddress against the CIDR and returns true if the ip is in the subnet-ip-range and false if not.
      Specified by:
        `contains` in class `CIDR`
      Returns:
        returns true if the given IP address is inside the currently set network.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.